# by Jim Knoble <jmknoble@jmknoble.cx>
# Copyright (C) 1999,2000 Jim Knoble
#
# Disclaimer:
#
# THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# express or implied, including but not limited to the warranties of
# merchantability, fitness for a particular purpose and
# noninfringement. In no event shall the author(s) be liable for any
# claim, damages or other liability, whether in an action of
# contract, tort or otherwise, arising from, out of or in connection
# with the software or the use or other dealings in the software.
#
# Permission to use, copy, modify, distribute, and sell this software
# and its documentation for any purpose is hereby granted without
# fee, provided that the above copyright notice appear in all copies
# and that both that copyright notice and this permission notice
# appear in supporting documentation.

# User-Defined Macros:
# %%define <name> <expansion>
%define Name		rpm2tar
%define Version		1.0.0
%define Release		2
%define Prefix		/usr
Summary: Converts binary RPM packages to gzipped tar archives.
Name: %{Name}
Version: %{Version}
Release: %{Release}
#Epoch: 
License: BSD-ish
Group: Applications/Archiving
#URL: 
Source0: %{Name}-%{Version}.tar.gz
Patch0: rpm2tar-1.0.0-librpmio.patch
Patch1: rpm2tar-1.0.0-dynamicbuild.patch
BuildRoot: %{_tmppath}/%{Name}-%{Version}-%{Release}-root
#BuildArchitectures: 
BuildPrereq: rpm-devel >= 4.0, popt >= 1.5, bzip2 >= 1.0.0, zlib-devel, glibc-devel
#Prefix: 
#Provides: 
#Prereq: 
Requires: rpm >= 2.3.12, cpio, fileutils, gzip, tar, /bin/sh
#Obsoletes: 
#Conflicts: 

%description
'Rpm2tar' is a utility for converting the files contained in a binary
RPM package into a gzipped tar archive.  Rpm2tar attempts to preserve
file ownership, groups, and permissions as they are stored in the RPM
package.

%prep
%setup
%patch0 -p1
%patch1 -p1

%build
make OPTFLAGS="${RPM_OPT_FLAGS}"

%install
function CheckBuildRoot() {
  # do a few sanity checks on the BuildRoot
  # to make sure we don't damage a system
  case "${RPM_BUILD_ROOT}" in
    ''|' '|/|/bin|/boot|/dev|/etc|/home|/lib|/mnt|/root|/sbin|/tmp|/usr|/var)
      echo "Yikes!  Don't use '${RPM_BUILD_ROOT}' for a BuildRoot!"
      echo "The BuildRoot gets deleted when this package is rebuilt;"
      echo "something like '/tmp/build-blah' is a better choice."
      return 1
    ;;
    *) return 0
    ;;
  esac
}
function CleanBuildRoot() {
  if CheckBuildRoot; then
    rm -rf "${RPM_BUILD_ROOT}"
  else
    exit 1
  fi
}
CleanBuildRoot

for i in \
  "" \
  %{Prefix} \
; do
  mkdir -p "${RPM_BUILD_ROOT}${i}"
done

make prefix="${RPM_BUILD_ROOT}%{Prefix}" install

%clean
function CheckBuildRoot() {
  # do a few sanity checks on the BuildRoot
  # to make sure we don't damage a system
  case "${RPM_BUILD_ROOT}" in
    ''|' '|/|/bin|/boot|/dev|/etc|/home|/lib|/mnt|/root|/sbin|/tmp|/usr|/var)
      echo "Yikes!  Don't use '${RPM_BUILD_ROOT}' for a BuildRoot!"
      echo "The BuildRoot gets deleted when this package is rebuilt;"
      echo "something like '/tmp/build-blah' is a better choice."
      return 1
    ;;
    *) return 0
    ;;
  esac
}
function CleanBuildRoot() {
  if CheckBuildRoot; then
    rm -rf "${RPM_BUILD_ROOT}"
  else
    exit 1
  fi
}
CleanBuildRoot

%files
%attr(-   ,root,root) %doc README
%attr(0755,root,root) %{Prefix}/bin/*

%changelog
* Thu Dec  7 2000 Peter Hanecak <hanecak@megaloman.sk>
- %%{_tmppath} used
- use librpmio
